<?php


require_once(realpath(__DIR__) . '/../models/SpintaxModel.php');

class MPG_SpintaxController
{

    public static function mpg_generate_spintax()
    {

        $spintax_string = isset($_POST['spintaxString'])  ? $_POST['spintaxString'] : null;

        try {

            $final_string = MPG_SpintaxModel::mpg_generate_spintax_string($spintax_string);

            echo json_encode([
                'success' => true,
                'data' => $final_string
            ]);

            wp_die();
        } catch (Exception $e) {

            echo json_encode([
                'success' => false,
                'error' => $e->getMessage()
            ]);

            wp_die();
        }
    }

    public static function get_cached_records_count($project_id)
    {
        global $wpdb;
        $query = $wpdb->get_results("SELECT `id` FROM {$wpdb->prefix}" .  MPG_Constant::MPG_SPINTAX_TABLE . " WHERE `project_id` = " . $project_id);

        // todo: Может стоит переписать на num_rows, или count()
        return count($query);
    }

    public static function mpg_spintax_shortcode($atts, $content)
    {

        try {
            global $wpdb;

            // Если есть шорткод, значит пользователь хочет использовать для этого проекта Spintax.

            // 1. Проверим, есть ли для запрашиваемого УРЛа уже сгенерированная Spintax строка.

            $table_name = $wpdb->prefix .  MPG_Constant::MPG_SPINTAX_TABLE;
            $requested_url = MPG_Helper::mpg_get_request_uri();

            $spintax_string = $wpdb->get_results("SELECT `spintax_string` FROM $table_name WHERE `url` = \"" . $requested_url . '"');

            if (!empty($spintax_string)) {

                return $spintax_string[0]->spintax_string;
            }

            $project_id = isset($atts['project_id']) ? (int) $atts['project_id']  : null;

            if (!$project_id) {
                throw new Exception(__('Project ID is not specified in shortcode', 'mpg'));
            }

            // Делаем так, чтобы служебные УРЛы не попадали в базу.
            if ($requested_url !== '/' && strpos($requested_url, '/wp-json/wp/v2/') !== 0) {

                $spintax_string = MPG_SpintaxModel::mpg_generate_spintax_string($content);

                $wpdb->insert($table_name, array(
                    'project_id' => $project_id,
                    'url' => $requested_url,
                    'spintax_string' => $spintax_string
                ));


                return $spintax_string;
            }

            return;

        } catch (Exception $e) {
            return $e->getMessage();
        }
    }

    public static function mpg_flush_spintax_cache()
    {

        try {

            $project_id = isset($_POST['projectId']) ? (int) $_POST['projectId'] : null;

            if (!$project_id) {
                throw new Exception('Project ID is missing');
            }

            MPG_SpintaxModel::flush_cache_by_project_id($project_id);

            echo json_encode([
                'success' => true
            ]);

            wp_die();
        } catch (Exception $e) {

            echo json_encode([
                'success' => false,
                'error' => $e->getMessage()
            ]);

            wp_die();
        }
    }
}
